Package ru.bitel.bgbilling.kernel.script.server.dev

# Class EventScriptBase<E extends ru.bitel.bgbilling.kernel.event.common.Event>

java.lang.Object
ru.bitel.bgbilling.kernel.script.server.dev.EventScriptBase<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  `EventScript<E>`

Direct Known Subclasses:
  `BonusProgramDynamicBase`

    public abstract class EventScriptBase<E extends ru.bitel.bgbilling.kernel.event.common.Event>
    extends java.lang.Object
    implements EventScript<E>

Реализация событийного скрипта.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.io.PrintStream` | `err` |
  `protected java.io.PrintStream` | `out` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EventScriptBase()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected java.lang.String` | `doExternalScript​(E event, java.util.List<java.lang.String> command)` |
  `protected void` | `error​(java.lang.Object message)` |
  `protected void` | `print​(java.lang.Object message)` |
  `void` | `setErrorStream​(java.io.PrintStream err)` |
  `void` | `setOutputStream​(java.io.PrintStream out)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.script.server.dev.EventScript

  `onEvent`

- ## Field Details

  - ### out

    protected java.io.PrintStream out

  - ### err

    protected java.io.PrintStream err

- ## Constructor Details

  - ### EventScriptBase

    public EventScriptBase()

- ## Method Details

  - ### setOutputStream

    public void setOutputStream​(java.io.PrintStream out)

  - ### setErrorStream

    public void setErrorStream​(java.io.PrintStream err)

  - ### print

    protected void print​(java.lang.Object message)

  - ### error

    protected void error​(java.lang.Object message)

  - ### doExternalScript

    protected java.lang.String doExternalScript​(E event, java.util.List<java.lang.String> command)